class Petition < ActiveRecord::Base
  attr_accessible :description, :enabled, :name, :slug
  
  has_many :signators, :class_name => "PetitionSignator"
  
  def signators_number
    self.signators.count
  end
  
  def confirmed_signators_number
    self.signators.where(:enabled => true).count
  end
  
end
